2 Replies Latest reply on Mar 1, 2010 7:22 PM by Michael Olshansky

    Problem deploying EJB on JBoss 5... works fine on JBoss 4

    Michael Olshansky Newbie

      I am attempting to migrate an app from JBoss 4.2.3 to JBoss 5.1 though the deployment fails with the following messages:

       

      12:57:28,982 WARN [ClassLoaderManager] Unexpected error during load of:com.report.message.ejb.reportgenerator.ReportGeneratorListenerBean java.lang.UnsupportedClassVersionError: Bad version number in .class file


      12:57:29,107 WARN [verifier] EJB spec violation: Bean : com.report.message.ejb.reportgenerator.ReportGeneratorListenerBean

      Section: 22.2 Warning: The Bean Provider must specify the fully-qualified name of the Java cla ss that implements the enterprise bean's business methods in the ele ment.

       

      Everything works perfectly if I compile with JDK 1.4.2 and deploy on JBoss 4.2.3 with JRE 1.5. I suspect something has changed with JBoss 5, but no amount of Googling has lead me to a fix.

       

      Can someone do me a huge favor and point me in the right direction?

       

      Thanks!